libzypp 17.37.10

TargetImpl.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <string>`
`#include <list>`
`#include <set>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/IOStream.h>`
`#include <zypp/base/Functional.h>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp/base/Json.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/ResObjects.h>`
`#include <zypp/Url.h>`
`#include <zypp/TmpPath.h>`
`#include <zypp/RepoStatus.h>`
`#include <zypp/ExternalProgram.h>`
`#include <zypp/Repository.h>`
`#include <zypp-core/ShutdownLock_p.h>`
`#include <zypp/ResFilters.h>`
`#include <zypp/HistoryLog.h>`
`#include <zypp/target/TargetImpl.h>`
`#include <zypp/target/TargetCallbackReceiver.h>`
`#include <zypp/target/rpm/librpmDb.h>`
`#include <zypp/target/CommitPackageCache.h>`
`#include <zypp/target/RpmPostTransCollector.h>`
`#include <zypp/target/private/commitpackagepreloader_p.h>`
`#include <zypp/parser/ProductFileReader.h>`
`#include <zypp/repo/SrcPackageProvider.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/sat/SolvableSpec.h>`
`#include <zypp/sat/Transaction.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/StringV.h>`
`#include <zypp-core/zyppng/base/EventLoop>`
`#include <zypp-core/zyppng/base/UnixSignalSource>`
`#include <zypp-core/zyppng/io/AsyncDataSource>`
`#include <zypp-core/zyppng/io/Process>`
`#include <zypp-core/base/IOTools.h>`
`#include <zypp-core/zyppng/rpc/stompframestream.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-core/zyppng/base/EventDispatcher>`
`#include <shared/commit/CommitMessages.h>`
`#include <zypp/target/rpm/RpmException.h>`
`#include <zypp/PluginExecutor.h>`
`#include "tools/zypp-rpm/errorcodes.h"`
`#include <rpm/rpmlog.h>`
`#include <optional>`
`#include <solv/repo_rpmdb.h>`
`#include <solv/chksum.h>`

Go to the source code of this file.

## Classes
struct | zypp::target::SendSingleTransReport
| Convenience SendReport<rpm::SingleTransReport> wrapper. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::target
namespace | zypp::json

## Macros
#define | SUBST_IF(PAT, VAL)

## Functions
bool | zypp::env::TRANSACTIONAL_UPDATE ()
std::string | zypp::target::rpmDbStateHash (const Pathname &root_r)
RepoStatus | zypp::target::rpmDbRepoStatus (const Pathname &root_r)
template<>
json::Value | zypp::json::toJSON (const sat::Transaction::Step &step_r)
| See commitbegin on page plugin-commit for the specs.
template<>
json::Value | zypp::json::toJSON (const ZYppCommitResult::TransactionStepList &steps_r)
void | zypp::target::writeUpgradeTestcase ()
void | zypp::target::XRunUpdateMessages (const Pathname &root_r, const Pathname &messagesPath_r, const std::vector< sat::Solvable > &checkPackages_r, ZYppCommitResult &result_r)
| zypp::target::IMPL_PTR_TYPE (TargetImpl)
static std::string | zypp::target::generateRandomId ()
| generates a random id using uuidgen
void | zypp::target::updateFileContent (const Pathname &filename, boost::function< bool()> condition, boost::function< std::string()> value)
| updates the content of `filename` if `condition` is true, setting the content the the value returned by `value`
static bool | zypp::target::fileMissing (const Pathname &pathname)
| helper functor

## Macro Definition Documentation

## ◆ SUBST_IF

#define SUBST_IF | ( |  | PAT,
|  |  | VAL )

Value:
if ( ret.find( PAT ) != std::string::npos ) ret = str::gsub( ret, PAT, VAL )